<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.templates">var.templates</Property>
		<Property name="var.session">var.session</Property>
		<Property name="var.template">var.template</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;template>&lt;labels/>&lt;hasLocation>false&lt;/hasLocation>&lt;hasContacts>false&lt;/hasContacts>&lt;versionedAttributes>&lt;attribute/>&lt;/versionedAttributes>&lt;children/>&lt;unversionedAttributes>&lt;attribute/>&lt;attribute/>&lt;/unversionedAttributes>&lt;parents/>&lt;actions>&lt;action/>&lt;/actions>&lt;customId>sdsadsada&lt;/customId>&lt;/template>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1532703987653</Property>
		<Property name="ISWorkflowName">VAM_am_025_createTemplate</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">536</Property>
		<Property name="ISProcessId">6352897</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">6352487</Property>
		<Property name="ISInvokingWorkflow">VAM_api_dispatching</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_021_queryAssets</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.template" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;template>&lt;sclabels>&lt;en>HELLO&lt;/en>&lt;de>HALLO&lt;/de>&lt;/sclabels>&lt;children>&lt;template>&lt;id>13&lt;/id>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;/template>&lt;/children>&lt;customId>HOELLE&lt;/customId>&lt;/template></Property>
		<Property name="var.templates" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;templates>&lt;template>&lt;id>13&lt;/id>&lt;customId>STADT&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Stadt&lt;/de>&lt;en>City&lt;/en>&lt;/labels>&lt;displayName>City&lt;/displayName>&lt;actions/>&lt;versionedAttributes>&lt;attribute>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;key>senderCode&lt;/key>&lt;type>string&lt;/type>&lt;displayName>EIC-Code&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail account&lt;/displayName>&lt;displayDescription>This mail account will be used for e.g. alerting notifications.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Interaction required for sending&lt;/displayName>&lt;displayDescription>Configuration of explicit clearing requirements for sending of messages.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Target&lt;/displayName>&lt;displayDescription>Enter target!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>All&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>From (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>From (Time)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>To (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>To (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Checks&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels&gt;&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Ignore check results&lt;/displayName>&lt;displayDescription>Per-target configuration of message submission regardless of the check results.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Target&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>All&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>From (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>From (Time)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>To (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>To (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Action for unknown points&lt;/displayName>&lt;displayDescription>Action for unknown points&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignore&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alert&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warning&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Approval needed&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abort&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;collapsed>true&lt;/collapsed>&lt;key>pointViewProcesses&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Net Point View&lt;/displayName>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel Templates Path&lt;/displayName>&lt;displayDescription>Path in IS repository for the Excel templates. Staging level is appended.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2018-05-18T07:27:33Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2018-05-18T07:48:05Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;children/>&lt;parents>&lt;template>&lt;id>12&lt;/id>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;customId>LAND&lt;/customId>&lt;displayName>Country&lt;/displayName>&lt;/template>&lt;/parents>&lt;/template>&lt;template>&lt;id>14&lt;/id>&lt;customId>PLANET&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Planet&lt;/de>&lt;en>Planet&lt;/en>&lt;/labels>&lt;displayName>Planet&lt;/displayName>&lt;actions/>&lt;versionedAttributes>&lt;attribute>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;key>senderCode&lt;/key>&lt;type>string&lt;/type>&lt;displayName>EIC-Code&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail account&lt;/displayName>&lt;displayDescription>This mail account will be used for e.g. alerting notifications.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Interaction required for sending&lt;/displayName>&lt;displayDescription>Configuration of explicit clearing requirements for sending of messages.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Target&lt;/displayName>&lt;displayDescription>Enter target!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>All&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>From (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>From (Time)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>To (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type&gt;time&lt;/type>&lt;displayName>To (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Checks&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Ignore check results&lt;/displayName>&lt;displayDescription>Per-target configuration of message submission regardless of the check results.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Target&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>All&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>From (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>From (Time)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>To (Day)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>To (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Action for unknown points&lt;/displayName>&lt;displayDescription>Action for unknown points&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignore&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alert&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warning&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Approval needed&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abort&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;collapsed>true&lt;/collapsed>&lt;key>pointViewProcesses&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Net Point View&lt;/displayName>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel Templates Path&lt;/displayName>&lt;displayDescription>Path in IS repository for the Excel templates. Staging level is appended.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2018-05-18T08:06:22Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2018-05-18T08:06:22Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;children>&lt;template>&lt;id>12&lt;/id>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;customId>LAND&lt;/customId>&lt;displayName>Country&lt;/displayName>&lt;/template>&lt;/children>&lt;parents/>&lt;/template>&lt;/templates></Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;parameters>&lt;getActions>true&lt;/getActions>&lt;sortMode/>&lt;verbosity>1&lt;/verbosity>&lt;withTemplate>true&lt;/withTemplate>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;start>0&lt;/start>&lt;limit>70&lt;/limit>&lt;sorters>&lt;sorter>&lt;key>displayName&lt;/key>&lt;direction>asc&lt;/direction>&lt;/sorter>&lt;/sorters>&lt;filters>&lt;filter>&lt;key>template.customId&lt;/key>&lt;operator>=&lt;/operator>&lt;value>LAND&lt;/value>&lt;/filter>&lt;/filters>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1532702611365&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name> bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>Role11&lt;/role>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration>&lt;am>&lt;overviews>&lt;overview>&lt;title>&lt;en>Zoos&lt;/en>&lt;/title>&lt;singleTemplateMode>&lt;templateCustomId>LAND&lt;/templateCustomId>&lt;twoLevels>false&lt;/twoLevels>&lt;/singleTemplateMode>&lt;canCreate>true&lt;/canCreate>&lt;/overview>&lt;overview>&lt;canCreate>true&lt;/canCreate>&lt;/overview>&lt;overview>&lt;title>&lt;en>Alles&lt;/en>&lt;/title>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;/overview>&lt;/overviews>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;locale>en&lt;/locale>&lt;language>en&lt;/language>&lt;country/>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" xmlns:local="local:local" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:function name="local:customIdToId">&lt;xsl:param name="var.template" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="exists($var.template/id)">&lt;xsl:value-of select="$var.templates/*[id = $var.template/id]/id"/>&lt;/xsl:when>&lt;xsl:when test="$var.template/customId != ''">&lt;xsl:value-of select="$var.templates/*[customId = $var.template/customId]/id"/>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:function>
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.templates" as="element()"/>
  &lt;xsl:param name="var.session" as="element()"/>
  &lt;xsl:param as="element()" name="var.template"/>&lt;xsl:variable as="element()" name="template" select="$var.template">&lt;!--dumme Umbenennung-->&lt;/xsl:variable>

  &lt;xsl:template match="/"> 
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>&lt;queries>&lt;xsl:variable name="customization" as="element()">&lt;customization>&lt;xsl:copy-of select="$template/(customIdAttribute | descriptionAttribute | displayNameAttribute | pluralLabels | presentation)"/>&lt;featureActiveVersionsEnabled>&lt;xsl:value-of select="$template/featureActiveVersionsEnabled = 'true'"/>&lt;/featureActiveVersionsEnabled>&lt;use>&lt;xsl:copy-of select="$template/use/*[not(self::child)]"/>&lt;/use>&lt;/customization>&lt;/xsl:variable>&lt;xsl:variable name="versionedAttributes" as="element()">&lt;attributes>&lt;xsl:copy-of select="$template/versionedAttributes/attribute"/>&lt;/attributes>&lt;/xsl:variable>&lt;xsl:variable name="unversionedAttributes" as="element()">&lt;attributes>&lt;xsl:copy-of select="$template/unversionedAttributes/attribute"/>&lt;/attributes>&lt;/xsl:variable>&lt;xsl:variable name="actions" as="element()">&lt;actions>&lt;xsl:copy-of select="$template/actions/action"/>&lt;/actions>&lt;/xsl:variable>&lt;xsl:variable name="var.queries" as="element()*">&lt;query properties="force" queryID="template"> 
      
      
      

        &lt;value>&lt;xsl:text>

  
  
  

  insert into templates (
    organizationId,
    id,
    customId,
    colorCode_xpath,
    displayName_en,
    displayName_de,
    customization,
    versionedAttributes,
    unversionedAttributes,
    actions,
    createdOn,
    createdByUserId,
    lastUpdatedOn,
    lastUpdatedByUserId,
    ctxDummy
  ) values (
    &lt;/xsl:text>&lt;xsl:variable name="var.customId" select="$template/customId"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id), am:comma()"/>&lt;xsl:value-of select="am:nextID('templates_seq'), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.customId), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($template/colorCode/xpath), am:comma()"/>&lt;xsl:variable name="var.en" select="am:languageTranslation('en', $template/labels, '')"/>&lt;xsl:choose>
      &lt;xsl:when test="$var.en != ''">&lt;xsl:value-of select="am:stringToDB($var.en), am:comma()"/>&lt;/xsl:when>&lt;xsl:when test="$var.customId != ''">&lt;xsl:value-of select="am:stringToDB($var.customId), am:comma()"/>&lt;/xsl:when>
      &lt;xsl:otherwise>&lt;xsl:value-of select="am:concatSQLStrings((am:stringToDB('Template '), am:newIDValue('templates_seq'))), am:comma()"/>&lt;/xsl:otherwise>
    &lt;/xsl:choose>&lt;xsl:variable name="var.de" select="am:languageTranslation('de', $template/labels, '')"/>&lt;xsl:choose>
      &lt;xsl:when test="$var.de != ''">&lt;xsl:value-of select="am:stringToDB($var.de), am:comma()"/>&lt;/xsl:when>&lt;xsl:when test="$var.customId != ''">&lt;xsl:value-of select="am:stringToDB($var.customId), am:comma()"/>&lt;/xsl:when>
      &lt;xsl:otherwise>&lt;xsl:value-of select="am:concatSQLStrings((am:stringToDB('Vorlage '), am:newIDValue('templates_seq'))), am:comma()"/>&lt;/xsl:otherwise>
    &lt;/xsl:choose>
    &lt;xsl:value-of select="am:nodeToDB($customization), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB($versionedAttributes), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB($unversionedAttributes), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB($actions), am:comma()"/>
    &lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>&lt;xsl:text>, 
    ' '
  )&lt;/xsl:text>&lt;/value> 
      &lt;/query>&lt;xsl:for-each select="$template/labels/*">
        &lt;query properties="force" queryID="{concat('insertLabel', position() - 1)}">
          &lt;value>&lt;xsl:text>
insert into tem_labels (
  templateId,
  locale,
  label,
  ctxDummy
) values (&lt;/xsl:text>&lt;xsl:value-of select="am:newIDValue('templates_seq'), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(local-name(.)), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(.), am:comma()"/>&lt;xsl:text>  ' '
)
          &lt;/xsl:text>&lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>&lt;xsl:for-each select="$template/children/template">
        &lt;query properties="force" queryID="{concat('insertChild', position() - 1)}">
          &lt;value>
insert into tem_children (
  templateId,
  childTemplateId,
  isTimeSeries,
  resolution,
  minimumQuantity,
  maximumQuantity   
) values (
 
  &lt;xsl:value-of select="am:newIDValue('templates_seq'), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(local:customIdToId(.)), am:comma()"/>&lt;xsl:value-of select="am:booleanToDB(isTimeSeries), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(resolution), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(if(minimumQuantity != '') then minimumQuantity else 0), am:comma()"/>
  &lt;xsl:value-of select="am:numberToDB(if(maximumQuantity != '') then maximumQuantity else 0)"/>&lt;xsl:text>
)
          &lt;/xsl:text>&lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>&lt;xsl:for-each select="$template/parents/template">
        &lt;query properties="force" queryID="{concat('insertParent', position() - 1)}">
          &lt;value>
insert into tem_parents (
  templateId,
  parentTemplateId
  &lt;xsl:if test="exists(maximumQuantity/text())">
    , maximumQuantity
  &lt;/xsl:if>
) values (
  
  &lt;xsl:value-of select="am:newIDValue('templates_seq'), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(local:customIdToId(.))"/>
  &lt;xsl:if test="exists(maximumQuantity/text())">
    , &lt;xsl:value-of select="am:numberToDB(maximumQuantity/text())"/>
  &lt;/xsl:if>&lt;xsl:text>
)
          &lt;/xsl:text>&lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>&lt;/xsl:variable>&lt;xsl:sequence select="am:queriesForCreate('templates_seq', $var.queries)"/>&lt;/queries>
     
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>